Bug 238952 - lang/python36: Update to 3.6.9
Summary: lang/python36: Update to 3.6.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Wen Heping
URL: https://docs.python.org/3.6/whatsnew/...
Keywords: security
Depends on:
Blocks:
 
Reported: 2019-07-03 07:51 UTC by wen
Modified: 2019-07-23 02:33 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+
antoine: exp-run+


Attachments
update to 3.6.9 (5.55 KB, text/plain)
2019-07-03 07:51 UTC, wen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wen 2019-07-03 07:51:00 UTC
Created attachment 205494 [details]
update to 3.6.9

- Update to 3.6.9
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-03 07:54:00 UTC
This release, beyond being a bugfix release, fixes several security vulnerabilities:

  https://docs.python.org/3.6/whatsnew/changelog.html#python-3-6-9-final

Pending VuXML entry
Comment 2 Antoine Brodin freebsd_committer 2019-07-06 15:23:21 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2019-07-08 23:10:39 UTC
A commit references this bug:

Author: wen
Date: Mon Jul  8 23:10:34 UTC 2019
New revision: 506253
URL: https://svnweb.freebsd.org/changeset/ports/506253

Log:
  - Update to python-3.6.9(include security fix)

  PR:		238952
  Submitted by:	wenheping2000@hotmail.com(myself)
  Reviewed by:	koobs@
  Exp-run by:	antoine@
  MFH:		2019Q3

Changes:
  head/lang/python-doc-html/distinfo
  head/lang/python36/Makefile
  head/lang/python36/Makefile.version
  head/lang/python36/distinfo
  head/lang/python36/files/patch-bpo35746
  head/lang/python36/pkg-plist
Comment 4 commit-hook freebsd_committer 2019-07-08 23:55:16 UTC
A commit references this bug:

Author: wen
Date: Mon Jul  8 23:54:59 UTC 2019
New revision: 506255
URL: https://svnweb.freebsd.org/changeset/ports/506255

Log:
  - Document python 3.6 multiple vulnerabilities

  PR:		238952
  Submitted by:	wenheping2000@hotmail.com(myself)
  Reviewed by:	koobs@

Changes:
  head/security/vuxml/vuln.xml
Comment 5 commit-hook freebsd_committer 2019-07-09 23:31:40 UTC
A commit references this bug:

Author: wen
Date: Tue Jul  9 23:31:04 UTC 2019
New revision: 506323
URL: https://svnweb.freebsd.org/changeset/ports/506323

Log:
  MFH: r506253

  - Update to python-3.6.9(include security fix)

  PR:		238952
  Submitted by:	wenheping2000@hotmail.com(myself)
  Reviewed by:	koobs@
  Exp-run by:	antoine@

  Approved by:	ports-secteam@(miwi@)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/lang/python-doc-html/distinfo
  branches/2019Q3/lang/python36/Makefile
  branches/2019Q3/lang/python36/Makefile.version
  branches/2019Q3/lang/python36/distinfo
  branches/2019Q3/lang/python36/files/patch-bpo35746
  branches/2019Q3/lang/python36/pkg-plist